#include "mpi.h"
#include <stdio.h>

int main( int argc, char **argv )
{
	int my_id, nr_p;
	MPI_Init(&argc, &argv);
	MPI_Comm_size(MPI_COMM_WORLD, &nr_p);
	MPI_Comm_rank(MPI_COMM_WORLD, &my_id);
    int namelen;
    char processor_name[MPI_MAX_PROCESSOR_NAME];
    MPI_Get_processor_name(processor_name, &namelen);
    printf( "Process %d / %d on %s says: Hello world\n", my_id, nr_p, processor_name);
    MPI_Finalize();
    return 0;
}
